@rem Windows下一键导入脚本

@echo off
set curdir=%~dp0
cd /d %curdir%
setlocal enabledelayedexpansion

echo 正在提交同步任务...

:submit
java -jar bin/ossimport2.jar -c conf/sys.properties  submit conf/local_job.cfg 2>&1 | find "please clean it first" > nul && (
:isNeedClear
    set/p in="发现还有同步任务残留，请输入[y]清除残留任务重新开始，或者输入[n]从上次任务断点处继续执行.(Y/N)?"
    if /i "!in!"=="y"  (
        echo 正在清除残留任务...
        java -jar bin/ossimport2.jar -c conf/sys.properties clean  local_test
        echo 清除完成!
        goto submit
    )
    if /i "!in!"=="n"  (
        goto start
    ) 
    echo 错误输入 "!in!"
    goto isNeedClear
) 

echo 同步任务提交成功!

:start
echo 开始执行同步任务...
start java -jar -Xmx1024m bin/ossimport2.jar -c conf/sys.properties start 2>&1

:stat
java -jar bin/ossimport2.jar -c conf/sys.properties stat detail >logs/job_stat.log
type logs\job_stat.log
find "JobState:Failed" logs\job_stat.log > nul && (
:isNeedRetry
    set/p in="任务执行完成,发现有部分任务失败，是否重试失败任务.(Y/N)?"
    if /i "!in!"=="y"  (
        java -jar bin/ossimport2.jar -c conf/sys.properties retry local_test
        goto stat
    )
    if /i "!in!"=="n"  (
        goto end
    )
    echo 错误输入 "!in!"
    goto isNeedRetry
)
find "JobState:Succeed" logs\job_stat.log > nul && (
    echo 所有任务成功完成
    goto end
)
@ping -n 10 127.1>nul
goto stat

:end
echo 同步执行结束,请关闭另外一个窗口,并按任意键退出
pause